#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	llfuse
Summary:	Python bindings for the low level FUSE API
Name:		python-%{module}
Version:	1.3.4
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	https://bitbucket.org/nikratio/python-llfuse/downloads/%{module}-%{version}.tar.bz2
# Source0-md5:	43a123c46d5438f15cd6bcafa16a0094
Patch0:		build.patch
Patch1:		x32.patch
URL:		https://github.com/python-llfuse/python-llfuse
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	libfuse-devel >= 2.8.0
BuildRequires:	rpm-pythonprov
BuildRequires:	python-Cython
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	python-contextlib2
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-contextlib2
BuildRequires:	python3-modules
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for the low level FUSE API.

%package -n python3-%{module}
Summary:	Python bindings for the low level FUSE API
Group:		Libraries/Python

%description -n python3-%{module}
Python bindings for the low level FUSE API.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%ifarch x32
%patch1 -p1
%endif

%build
./setup.py build_cython

%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

# in case there are examples provided
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc Changes.rst
%attr(755,root,root) %{py_sitedir}/%{module}.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/llfuse-*.egg-info
%endif
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc Changes.rst
%attr(755,root,root) %{py3_sitedir}/%{module}.*.so
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sun Jul 08 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-llfuse.git;a=log;h=master

* Sun Jul 08 2018 Jan Rękorajski <baggins@pld-linux.org> 8cc64e1
- rel 2

* Sun Jul 08 2018 Jan Rękorajski <baggins@pld-linux.org> 55c1975
- fix build on x32

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 429ee30
- up to 1.3.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> baa05bf
- release 7 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 04c1716
- python 3.6
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 97c8ab9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7c22f24
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3c47d7d
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a54ffa
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d3a98e7
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f76b16
- python 3.4
- release 2 (by relup.sh)

* Thu Jun 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 17a79f1
- initial

